summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Köster <gentoo@posteo.de>2015-10-14 22:29:48 +0200
committerFabian Köster <gentoo@posteo.de>2015-10-14 22:29:48 +0200
commit80003ff4b3e246a0449b37fd67789bb56aae7d02 (patch)
treeb37533061b24030f07ebf41093cf92b8053543bf /app-pda
downloadsogo-connector-80003ff4b3e246a0449b37fd67789bb56aae7d02.tar.gz
sogo-connector-80003ff4b3e246a0449b37fd67789bb56aae7d02.tar.bz2
sogo-connector-80003ff4b3e246a0449b37fd67789bb56aae7d02.zip
Initial commit
Diffstat (limited to 'app-pda')
-rw-r--r--app-pda/sogo-connector/Manifest9
-rw-r--r--app-pda/sogo-connector/files/makefile.patch19
-rw-r--r--app-pda/sogo-connector/files/sogo-connector-24.0.6-makefile.patch30
-rw-r--r--app-pda/sogo-connector/sogo-connector-24.0.7.ebuild37
-rw-r--r--app-pda/sogo-connector/sogo-connector-31.0.0.ebuild37
-rw-r--r--app-pda/sogo-connector/sogo-connector-31.0.1-r1.ebuild37
-rw-r--r--app-pda/sogo-connector/sogo-connector-31.0.1.ebuild37
7 files changed, 206 insertions, 0 deletions
diff --git a/app-pda/sogo-connector/Manifest b/app-pda/sogo-connector/Manifest
new file mode 100644
index 0000000..bd3c800
--- /dev/null
+++ b/app-pda/sogo-connector/Manifest
@@ -0,0 +1,9 @@
+AUX makefile.patch 710 SHA256 963eb156004265e92e2f0d52398b4a335e448e1729f512f28582717118f368d0 SHA512 e6799e54bef3fe57f7920e5682119d3d45bd393c4dd2acd09bf4d874fb410864cf377c5fc3a67844b990c217ca50b33b44c81223562c3a33d00d7775c11d62bb WHIRLPOOL bea4972950ca1a74093c85a93f5db6d243d508182b7f8064677420c7402d66cfc6c6bea39b32e34695c940157215ceac08dafc8a5a44d53dfca257cc61ed345f
+AUX sogo-connector-24.0.6-makefile.patch 979 SHA256 16b8b65cce99d05c3de1a7a3e6d0c694d85d7ee75a11a4734c0d6b383ceeba38 SHA512 9e08f2e4641f82ca406e9ef13e958f462f09a32fc2a8f5b97f50cdbb3e3d7cb9dcc3b7dccc45b80caf6753ffed7a4aa02fdd48287810d56e39bee7b44d5bb8c7 WHIRLPOOL 9061298c6f3cf599706ce7d45df98b837dc552acc2db05163f5827a6ded4efe8f35ee2bd72a3fbcddda808921dde24fb16853055ad48f54e0062d0259daf1466
+DIST sogo-connector-24.0.7.zip 292178 SHA256 28020c6760d4c9b40c2daf73cbfc5930af068725e2351743a9943e9a2db0de2d SHA512 4039c79d1fd855a2ba3e3a39ca0be623d91804711f79c4d4ce8869f6519f0d75b498732efedf14d6d359874d14c3a91c19c918be7f42eb39e2f042685ad12fb9 WHIRLPOOL 1db377b063e375446ef9556dcdf486b89cc949c890e953a4ad10d2c162202fea44ee162828b4786fc62a57d552fd13d10a1ad4bd44121bf10df94cdb43dd9f11
+DIST sogo-connector-31.0.0.zip 294046 SHA256 895f0a71d1142478dcde166f25f8674cbf76b1f071f33eeb9d7752b78b6fd983 SHA512 0f09167e0a4f759c56d6c59011f7b2923ac2c1b1406bcdce2eb47076d9d1924a249999aa8b41d90cc7ae0e3f955775a90ac4d6c1589cfc78d063ecd9801748f3 WHIRLPOOL cbca6f69d113626a8d959f1a292495e4bbd69c1fbe700bbb2c35481edfc229e590d12c99250c51ad5c749459cf650b79cd01ac3b7b6fd91fa3a4cca7662580fe
+DIST sogo-connector-31.0.1.zip 294049 SHA256 aeb4ecad568b0af1d0fbda65a517f583ba6ab25d721f9a1b1340af34ed3e9341 SHA512 0ed6f6de61acbc9bf8e2b98f34d2f9b59c9ed5d30961d7cac091fe66150d548fb8481acb38e3c34e4fef622436a4b16dd0eb0ca3ed75307ad2ab5949d870da29 WHIRLPOOL 37bf47c542a94bfcb55b1e2031752c3f6652ef0dc4831eb6b6854b3517998ace235457f836de5c743592aaf11c161fd1449e46c6ecf8241917ad5573ed379e3a
+EBUILD sogo-connector-24.0.7.ebuild 960 SHA256 fc1732b75fbf9e0279bf27caacc2f56b4fc664666625d2127848aa7fcbcf00f2 SHA512 d19492bf58ead109ebc23ad38838fa5fc23bfca0f907541e18979c2fd0e911f6f5dffa7d974dc2a3ad57ee247e939e9b684a1eaaded6dd57ea3d60afef56dd57 WHIRLPOOL 586002df64370726dba7ee1f2e7955de16eee617c31fe051715c537214c78ceae90edbd665a09daebaf5e6c5b9cb087c8e4a1f2d270b29e0ce1425b0f1a93966
+EBUILD sogo-connector-31.0.0.ebuild 962 SHA256 9c6783541047446bdc5b9ca46dd301eab48512afd34f09a3bd5b671c2855527c SHA512 759c6ddeb3226b0b847b1a7bf9f8d34d9483945d5fd4845fd7c9eef45b567ee4f6411c839c3df32d6a603e2747a8b99ce4b96c0109152a0f52327cd24bdbcb8f WHIRLPOOL d59d9de01623c4b491808d3b681c707c8aa326f7a9af533b53e242850f4c8071f4d364f3d3fe446f497fcd84d97d3675294ff3ea5b5b9ab495655c994f8fb68e
+EBUILD sogo-connector-31.0.1-r1.ebuild 989 SHA256 73ea05f45f1bd49529b070aabced428d863ce18a42fc4de8843b34aa0c148500 SHA512 105a25693e44e72bc2c783e9a948acf688e4be8981c70b9daf33f05e44201840d94643296eaef1dee9b99614bf00a0171398158a9a0267c5fc193d38925ba368 WHIRLPOOL ec3c76f377946de465c71af1eb552d003c86023e3c173c302da20984afa63ef2e5e4af39304d3ed1c3518b04dfedf5cbfd14adfbb1a4a9e60341ce95f668832a
+EBUILD sogo-connector-31.0.1.ebuild 962 SHA256 9c6783541047446bdc5b9ca46dd301eab48512afd34f09a3bd5b671c2855527c SHA512 759c6ddeb3226b0b847b1a7bf9f8d34d9483945d5fd4845fd7c9eef45b567ee4f6411c839c3df32d6a603e2747a8b99ce4b96c0109152a0f52327cd24bdbcb8f WHIRLPOOL d59d9de01623c4b491808d3b681c707c8aa326f7a9af533b53e242850f4c8071f4d364f3d3fe446f497fcd84d97d3675294ff3ea5b5b9ab495655c994f8fb68e
diff --git a/app-pda/sogo-connector/files/makefile.patch b/app-pda/sogo-connector/files/makefile.patch
new file mode 100644
index 0000000..3311428
--- /dev/null
+++ b/app-pda/sogo-connector/files/makefile.patch
@@ -0,0 +1,19 @@
+Index: sogo-connector.tb31-sogo-connector-31.0.0/Makefile
+===================================================================
+--- sogo-connector.tb31-sogo-connector-31.0.0.orig/Makefile
++++ sogo-connector.tb31-sogo-connector-31.0.0/Makefile
+@@ -1,5 +1,4 @@
+ PACKAGE = sogo-connector
+-GIT_REV = $(shell git rev-parse --verify HEAD | cut -c1-10)
+
+ ifeq ($(shell uname),Darwin)
+ VERSION = $(shell grep em:version install.rdf | sed -E 's@(em:version=|"| )@@g')
+@@ -7,7 +6,7 @@ else
+ VERSION = $(shell grep em:version install.rdf | sed -e 's@\(em:version=\|\"\|\ \)@@g')
+ endif
+
+-XPI_ARCHIVE = $(PACKAGE)-$(VERSION)-$(GIT_REV).xpi
++XPI_ARCHIVE = $(PACKAGE)-$(VERSION).xpi
+
+ SHELL = /bin/bash
+ ZIP = /usr/bin/zip
diff --git a/app-pda/sogo-connector/files/sogo-connector-24.0.6-makefile.patch b/app-pda/sogo-connector/files/sogo-connector-24.0.6-makefile.patch
new file mode 100644
index 0000000..a0f3548
--- /dev/null
+++ b/app-pda/sogo-connector/files/sogo-connector-24.0.6-makefile.patch
@@ -0,0 +1,30 @@
+Index: sogo-connector.tb24-sogo-connector-24.0.6/Makefile
+===================================================================
+--- sogo-connector.tb24-sogo-connector-24.0.6.orig/Makefile
++++ sogo-connector.tb24-sogo-connector-24.0.6/Makefile
+@@ -1,5 +1,4 @@
+ PACKAGE = sogo-connector
+-GIT_REV = $(shell git rev-parse --verify HEAD | cut -c1-10)
+
+ ifeq ($(shell uname),Darwin)
+ VERSION = $(shell grep em:version install.rdf | sed -E 's@(em:version=|"| )@@g')
+@@ -7,7 +6,7 @@ else
+ VERSION = $(shell grep em:version install.rdf | sed -e 's@\(em:version=\|\"\|\ \)@@g')
+ endif
+
+-XPI_ARCHIVE = $(PACKAGE)-$(VERSION)-$(GIT_REV).xpi
++XPI_ARCHIVE = $(PACKAGE)-$(VERSION).xpi
+
+ SHELL = /bin/bash
+ ZIP = /usr/bin/zip
+@@ -42,8 +41,8 @@ MANIFEST-pre:
+ @find . -type f -name "*.properties" >> $@
+ @find . -type f -name "RELEASE-NOTES" >> $@
+
+-rest:
+- @make $(XPI_ARCHIVE)
++rest: MANIFEST
++ @+$(MAKE) $(XPI_ARCHIVE)
+
+ $(XPI_ARCHIVE): $(FILENAMES)
+ @echo Generating $(XPI_ARCHIVE)...
diff --git a/app-pda/sogo-connector/sogo-connector-24.0.7.ebuild b/app-pda/sogo-connector/sogo-connector-24.0.7.ebuild
new file mode 100644
index 0000000..5d43de7
--- /dev/null
+++ b/app-pda/sogo-connector/sogo-connector-24.0.7.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils versionator
+
+DESCRIPTION="CardDAV plugin for mail-client/thunderbird"
+HOMEPAGE="http://www.sogo.nu/downloads/frontends.html"
+THUNDERBIRD_VERSION="$(get_major_version )"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE=""
+
+SRC_URI="https://github.com/inverse-inc/${PN}.tb${THUNDERBIRD_VERSION}/archive/${P}.zip"
+
+RDEPEND="=mail-client/thunderbird-${THUNDERBIRD_VERSION}*[lightning]"
+
+DEPEND="${RDEPEND}"
+S="${WORKDIR}/${PN}.tb${THUNDERBIRD_VERSION}-${P}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-makefile.patch"
+}
+
+src_install() {
+ declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/thunderbird"
+
+ emid=$(sed -n '/em:id=/!d; s/\s*em:id="//; s/"\s*//; p; q' install.rdf)
+
+ dodir ${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ cd "${ED}"${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ unzip "${S}/${P}.xpi" || die
+}
diff --git a/app-pda/sogo-connector/sogo-connector-31.0.0.ebuild b/app-pda/sogo-connector/sogo-connector-31.0.0.ebuild
new file mode 100644
index 0000000..ff9fb22
--- /dev/null
+++ b/app-pda/sogo-connector/sogo-connector-31.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils versionator
+
+DESCRIPTION="CardDAV plugin for mail-client/thunderbird"
+HOMEPAGE="http://www.sogo.nu/downloads/frontends.html"
+THUNDERBIRD_VERSION="$(get_major_version )"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE=""
+
+SRC_URI="https://github.com/inverse-inc/${PN}.tb${THUNDERBIRD_VERSION}/archive/${P}.zip"
+
+RDEPEND="=mail-client/thunderbird-${THUNDERBIRD_VERSION}*[lightning]"
+
+DEPEND="${RDEPEND}"
+S="${WORKDIR}/${PN}.tb${THUNDERBIRD_VERSION}-${P}"
+
+src_prepare() {
+ epatch "${FILESDIR}/makefile.patch"
+}
+
+src_install() {
+ declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/thunderbird"
+
+ emid=$(sed -n '/em:id=/!d; s/\s*em:id="//; s/"\s*//; p; q' install.rdf)
+
+ dodir ${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ cd "${ED}"${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ unzip "${S}/${P}.xpi" || die
+}
diff --git a/app-pda/sogo-connector/sogo-connector-31.0.1-r1.ebuild b/app-pda/sogo-connector/sogo-connector-31.0.1-r1.ebuild
new file mode 100644
index 0000000..a02382b
--- /dev/null
+++ b/app-pda/sogo-connector/sogo-connector-31.0.1-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils versionator
+
+DESCRIPTION="CardDAV plugin for mail-client/thunderbird"
+HOMEPAGE="http://www.sogo.nu/downloads/frontends.html"
+THUNDERBIRD_VERSION="$(get_major_version )"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE=""
+
+SRC_URI="https://github.com/inverse-inc/${PN}.tb${THUNDERBIRD_VERSION}/archive/${P}.zip"
+
+RDEPEND="|| ( =mail-client/thunderbird-31*[lightning] =mail-client/thunderbird-38*[lightning] )"
+
+DEPEND="${RDEPEND}"
+S="${WORKDIR}/${PN}.tb${THUNDERBIRD_VERSION}-${P}"
+
+src_prepare() {
+ epatch "${FILESDIR}/makefile.patch"
+}
+
+src_install() {
+ declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/thunderbird"
+
+ emid=$(sed -n '/em:id=/!d; s/\s*em:id="//; s/"\s*//; p; q' install.rdf)
+
+ dodir ${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ cd "${ED}"${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ unzip "${S}/${P}.xpi" || die
+}
diff --git a/app-pda/sogo-connector/sogo-connector-31.0.1.ebuild b/app-pda/sogo-connector/sogo-connector-31.0.1.ebuild
new file mode 100644
index 0000000..ff9fb22
--- /dev/null
+++ b/app-pda/sogo-connector/sogo-connector-31.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils versionator
+
+DESCRIPTION="CardDAV plugin for mail-client/thunderbird"
+HOMEPAGE="http://www.sogo.nu/downloads/frontends.html"
+THUNDERBIRD_VERSION="$(get_major_version )"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE=""
+
+SRC_URI="https://github.com/inverse-inc/${PN}.tb${THUNDERBIRD_VERSION}/archive/${P}.zip"
+
+RDEPEND="=mail-client/thunderbird-${THUNDERBIRD_VERSION}*[lightning]"
+
+DEPEND="${RDEPEND}"
+S="${WORKDIR}/${PN}.tb${THUNDERBIRD_VERSION}-${P}"
+
+src_prepare() {
+ epatch "${FILESDIR}/makefile.patch"
+}
+
+src_install() {
+ declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/thunderbird"
+
+ emid=$(sed -n '/em:id=/!d; s/\s*em:id="//; s/"\s*//; p; q' install.rdf)
+
+ dodir ${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ cd "${ED}"${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+ unzip "${S}/${P}.xpi" || die
+}